Subject: Re: bug#9932: Acknowledgement (24.0.90; electric pair mode is getting enabled globally , not just for a buffer.)
From: Stefan Monnier <[email-masked]>
To: yagnesh raghava <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Nov 2011 17:12:19 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

>> How 'bout a way to turn it off buffer-locally, so you can have it
>> enabled globally but can also disable it in some modes?
>> E.g. the patch below would be enough for that, after which you could do
>> (add-hook 'text-mode-hook
>> (lambda () (set (make-local-variable 'electric-pair-mode) nil)))
>> to turn if off in all modes derived from text-mode.
> This is fine for now.

Great, thanks, I've installed it.

>> We could easily provide this in 24.1, whereas what you suggest would
>> have to wait for 24.2.
> Thanks for the consideration, I would definitely wait to see this in 24.2

To better design the new feature, I'd be interested to hear about your
use case:
- why do you need it enabled in some modes and not others?
- why do you prefer to disable it globally and enable it in some
  specific modes rather than the reverse?
- what distinguishes these different modes?
- is there some particular behavior of electric-pair which you don't
  like, such that if we could somehow fix it, you'd then actually be
  happy to have it enabled everywhere?

        Stefan